This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 677353

Summary: initrd.img broken after preupgrade and /boot too small for install.img
Product: [Fedora] Fedora Reporter: Albert Flügel <albert.fluegel>
Component: preupgradeAssignee: Richard Hughes <rhughes>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 12CC: rhughes
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-02 04:25:54 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Albert Flügel 2011-02-14 08:30:45 EST
Description of problem:
Tried to upgrade from FC12 + latest patches to FC14. While running preupgrade i got the warning, that /boot is too small for the stage2 install.img, but this could be fetched later automatically over network. Fine for me, so i pressed Continue. preupgrade added an entry to grub.conf pointing stage2 to the proper URL. Then i booted into this entry and immediately the system hung without any message. Examining the problem showed, that the initrd.img was incomplete (about 55% of the size it should have). Something must have happened during download. Either the /boot filesystem got full due to parallel activities (probably trying to download install.img ?) or the download got interrupted somehow. Anyway imo there should be a check afterwards, whether vmlinuz and initrd.img have been downloaded correctly e.g. by checksumming.

Version-Release number of selected component (if applicable):
preupgrade-1.1.8-1.fc12.1.noarch.rpm

How reproducible:


Steps to Reproduce:
1. Install FC12 with latest patches with a 200 MB /boot filesystem
2. Run preupgrade
3. press continue when prompted, that /boot is too small for install.img
4. boot into the installer
  
Actual results:
System hangs immediately forever without any message

Expected results:
System boots, downloads the stage2 image and starts the installer (like with the  sane initrd.img)

Additional info:
see above.